[@rxap/ngx-timeago](../wiki/globals) / TimeagoDirective

# Class: TimeagoDirective

Defined in: [timeago.directive.ts:18](https://gitlab.com/rxap/packages/-/blob/15b5fab8912b1042ea325e7f4d98844416018df1/packages/angular/timeago/src/lib/timeago.directive.ts#L18)

## Constructors

### new TimeagoDirective()

> **new TimeagoDirective**(): [`TimeagoDirective`](../wiki/Class.TimeagoDirective)

#### Returns

[`TimeagoDirective`](../wiki/Class.TimeagoDirective)

## Accessors

### date

#### Set Signature

> **set** **date**(`date`): `void`

Defined in: [timeago.directive.ts:24](https://gitlab.com/rxap/packages/-/blob/15b5fab8912b1042ea325e7f4d98844416018df1/packages/angular/timeago/src/lib/timeago.directive.ts#L24)

The Date to display. An actual Date object or something that can be fed to new Date.

##### Parameters

###### date

`string` | `number` | `Date`

##### Returns

`void`

***

### live

#### Set Signature

> **set** **live**(`live`): `void`

Defined in: [timeago.directive.ts:32](https://gitlab.com/rxap/packages/-/blob/15b5fab8912b1042ea325e7f4d98844416018df1/packages/angular/timeago/src/lib/timeago.directive.ts#L32)

If the directive should update itself over time

##### Parameters

###### live

`boolean`

##### Returns

`void`

## Methods

### setContent()

> **setContent**(`node`, `content`): `void`

Defined in: [timeago.directive.ts:36](https://gitlab.com/rxap/packages/-/blob/15b5fab8912b1042ea325e7f4d98844416018df1/packages/angular/timeago/src/lib/timeago.directive.ts#L36)

#### Parameters

##### node

`any`

##### content

`string`

#### Returns

`void`
